Bug 471027 - gnupg2: Manpage is misleading -- ` is not `
gnupg2: Manpage is misleading -- ` is not `
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnupg2 (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-11 08:23 EST by Matěj Cepl
Modified: 2018-04-11 03:33 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.0.10-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-02 13:19:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch fixing gpg-agent man page (1.16 KB, patch)
2008-11-11 08:23 EST, Matěj Cepl
no flags Details | Diff

  None (edit)
Description Matěj Cepl 2008-11-11 08:23:26 EST
Created attachment 323170 [details]
patch fixing gpg-agent man page

Description of problem:
Author of the manpage for gpg-agent was obviously persuaded that when he writes ` to the source roff text, he gets ` on the output of man program. It is not so, so gpg-agent(1) shows things like this (copied from the gnome-terminal):

 eval ‘gpg-agent --daemon‘

which is not the same and when copied blindly to ~/.xinitrc produces incomprehensible error messages ("‘gpg-agent command not found, which makes most people wonder, how it is possible when they have /usr/bin/agent in their $PATH).

The generated text is exactly:

[matej@hubmaier ~]$ echo 'eval ‘gpg-agent --daemon‘' |xxd
0000000: 6576 616c 20e2 8098 6770 672d 6167 656e  eval ...gpg-agen
0000010: 7420 2d2d 6461 656d 6f6e e280 980a       t --daemon....
[matej@hubmaier ~]$

Correct source should say,

 eval \`gpg-agent --daemon\`

(groff(7) is mistaken as well -- see bug 471025).

Attached is suggested patch for gpg-agent manpage -- other manpage needs to be tested as well.

Similar bug was filed in the Debian as well -- http://bugs.debian.org/505286

Version-Release number of selected component (if applicable):
gnupg2-2.0.9-3.fc10.x86_64
Comment 1 john5342 2008-11-11 08:33:28 EST
This bug has been triaged
Comment 2 Rex Dieter 2008-11-11 09:55:03 EST
Better, to report and give patch upstream, but I can do that now, thanks.
Comment 3 Bug Zapper 2008-11-26 00:11:22 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 David Shaw 2009-03-14 22:01:06 EDT
FYI, this was fixed upstream.  The fix is in GnuPG 2.0.10.
Comment 5 Fedora Update System 2009-03-14 23:47:42 EDT
gnupg2-2.0.10-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gnupg2-2.0.10-1.fc10
Comment 6 Fedora Update System 2009-03-16 15:47:31 EDT
gnupg2-2.0.10-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnupg2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2744
Comment 7 Fedora Update System 2009-04-02 13:18:56 EDT
gnupg2-2.0.10-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.